Page MenuHomeFreeBSD

Make FORTH optional for various loaders.
AcceptedPublic

Authored by howard0su_gmail.com on Dec 15 2015, 2:50 AM.

Details

Reviewers
rpaulo
imp

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 1648
Build 1654: arc lint + arc unit

Event Timeline

howard0su_gmail.com retitled this revision from to Make FORTH optional for various loaders..
howard0su_gmail.com updated this object.
howard0su_gmail.com edited the test plan for this revision. (Show Details)
howard0su_gmail.com added a reviewer: imp.

I tried to split the patch from LUA import.

rpaulo accepted this revision.Dec 15 2015, 5:08 AM
rpaulo edited edge metadata.

Did you make sure src.opts.mk was included early in every file you changed? If yes, it looks ok.

sys/boot/arm/uboot/Makefile
159

Extra empty line.

sys/boot/mips/beri/loader/Makefile
131

Extra empty line.

This revision is now accepted and ready to land.Dec 15 2015, 5:08 AM
imp edited edge metadata.Dec 15 2015, 5:31 AM

Looks good. Still a lot of repeated code though :( You up for some deduplication?

If not, this is fine as it is, modulo Rui's comments.

sys/boot/sparc64/loader/Makefile
99–103

These are replicated in all the Makefiles.
Any chance they could all move into forth/Makefile.inc whose contents are protected by

.if ${MK_FORTH} != "no"
.endif

????

In D4558#96283, @imp wrote:

Looks good. Still a lot of repeated code though :( You up for some deduplication?
If not, this is fine as it is, modulo Rui's comments.

The changes here looks like all duplication inside MK_FORTH. but other files like arm, pc98 contains different code inside MK_FORTH code block. I feel it is not worth to make even bigger change to save #if #endif here.

For you reference:
pc98/loader/Makefile

.if ${MK_FORTH} != "no"
.PATH: ${.CURDIR}/../../forth
.include "${.CURDIR}/../../forth/Makefile.inc"

FILES+= ${.CURDIR}/../../i386/loader/loader.rc menu.rc
.endif

In D4558#96283, @imp wrote:

Looks good. Still a lot of repeated code though :( You up for some deduplication?
If not, this is fine as it is, modulo Rui's comments.

The changes here looks like all duplication inside MK_FORTH. but other files like arm, pc98 contains different code inside MK_FORTH code block. I feel it is not worth to make even bigger change to save #if #endif here.

For you reference:
pc98/loader/Makefile

.if ${MK_FORTH} != "no"
.PATH: ${.CURDIR}/../../forth
.include "${.CURDIR}/../../forth/Makefile.inc"

FILES+= ${.CURDIR}/../../i386/loader/loader.rc menu.rc
.endif

In D4558#96264, @rpaulo wrote:

Did you make sure src.opts.mk was included early in every file you changed? If yes, it looks ok.

howard0su_gmail.com edited edge metadata.

rebase to -Current

This revision now requires review to proceed.Sep 3 2016, 2:38 PM

All Makefile changed in this change includes src.opts.mk in the beginning of files.

emaste added a subscriber: kevans.Nov 16 2018, 8:48 PM
This revision is now accepted and ready to land.Nov 16 2018, 8:48 PM